<div class="mat-dp">


    <!-- <input matInput *ngIf="opts.showInputField" ngtype="text" class="form-control" [attr.aria-label]="opts.ariaLabelInputField" (click)="opts.openSelectorOnInputClick&&!opts.editableDateField&&openBtnClicked()" [ngClass]="{'invaliddate': invalidDate&&opts.indicateInvalidDate, 'inputnoteditable': opts.openSelectorOnInputClick&&!opts.editableDateField, 'selectiondisabled': opts.componentDisabled}"
            placeholder="{{placeholder}}" [ngStyle]="{'height': opts.height, 'font-size': opts.selectionTxtFontSize}" [ngModel]="selectionDayTxt" (ngModelChange)="onUserDateInput($event)" [value]="selectionDayTxt" (keyup)="onCloseSelector($event)"
           (focus)="opts.editableDateField&&onFocusInput($event)" (blur)="opts.editableDateField&&onBlurInput($event)" [disabled]="opts.componentDisabled" [readonly]="!opts.editableDateField" autocomplete="off"> -->



    <!-- <mat-form-field floatPlaceholder="{{floatPlaceholder}}" > -->
    <label class="m-0 p-0">
        <ng-content></ng-content>
    </label>
    <div class="row p-l-15">
        <!-- <mat-form-field> -->
            <input matInput type="text" placeholder="{{placeholder}}" [attr.aria-label]="opts.ariaLabelInputField"
                (click)="opts.openSelectorOnInputClick&&!opts.editableDateField&&openBtnClicked()" [ngClass]="{'invaliddate': invalidDate&&opts.indicateInvalidDate, 'inputnoteditable': opts.openSelectorOnInputClick&&!opts.editableDateField, 'selectiondisabled': opts.componentDisabled}"
                [ngModel]="selectionDayTxt" (ngModelChange)="onUserDateInput($event)" [value]="selectionDayTxt" (keyup)="onCloseSelector($event)"
                (focus)="opts.editableDateField&&onFocusInput($event)" (blur)="opts.editableDateField&&onBlurInput($event)"
                [disabled]="opts.componentDisabled" [readonly]="!opts.editableDateField" autocomplete="off" class="input-datepicker">
        <!-- </mat-form-field> -->

        <button mdSuffix class="btn btn-default btn-flat btn-fab-sm" [attr.aria-label]="opts.ariaLabelOpenCalendar"
            type="button" (click)="openBtnClicked()" [ngClass]="{'btnpickerenabled': !opts.componentDisabled, 'btnpickerdisabled': opts.componentDisabled, 'btnleftborder': opts.showInputField||selectionDayTxt.length>0&&opts.showClearDateBtn, 'btnleftborderradius': !opts.showClearDateBtn&&!opts.showInputField||!opts.showInputField&&selectionDayTxt.length===0}"
            [disabled]="opts.componentDisabled" style="padding-bottom:12px;">
            <i class="fa fa-calendar" style="top:10px;" aria-hidden="true"></i>
        </button>
    </div>

    <!-- </mat-form-field> -->


    <div class="selector" #selectorEl *ngIf="showSelector||opts.inline" [mydpfocus]="opts.inline?'0':'1'" [ngStyle]="{'bottom': getSelectorTopPosition()}"
        [ngClass]="{'inlinedp': opts.inline, 'alignselectorright': opts.alignSelectorRight, 'selectorarrow': opts.showSelectorArrow&&!opts.inline, 'selectorarrowleft': opts.showSelectorArrow&&!opts.alignSelectorRight&&!opts.inline, 'selectorarrowright': opts.showSelectorArrow&&opts.alignSelectorRight&&!opts.inline}"
        (keyup)="onCloseSelector($event)" tabindex="0">
        <table class="header">
            <tr>
                <td>
                    <div style="float:left">
                        <div class="headerbtncell">
                            <button type="button" [attr.aria-label]="opts.ariaLabelPrevMonth" class="headerbtn btn btn-default btn-flat"
                                (click)="onPrevMonth()" [disabled]="prevMonthDisabled" [ngClass]="{'headerbtnenabled': !prevMonthDisabled, 'headerbtndisabled': prevMonthDisabled}">
                                <i class="zmdi zmdi-chevron-left"></i>
                            </button>
                        </div>
                        <div class="headermonthtxt">
                            <button class="headerlabelbtn" type="button" [ngClass]="{'monthlabel': opts.monthSelector}"
                                (click)="opts.monthSelector&&onSelectMonthClicked($event)" tabindex="{{opts.monthSelector?'0':'-1'}}">
                                {{visibleMonth.monthTxt}}
                            </button>
                        </div>
                        <div class="headerbtncell">
                            <button type="button" [attr.aria-label]="opts.ariaLabelNextMonth" class="headerbtn btn btn-default btn-flat"
                                (click)="onNextMonth()" [disabled]="nextMonthDisabled" [ngClass]="{'headerbtnenabled': !nextMonthDisabled, 'headerbtndisabled': nextMonthDisabled}">
                                <i class="zmdi zmdi-chevron-right"></i>
                            </button>
                        </div>
                    </div>
                </td>
                <td>
                    <button *ngIf="opts.showTodayBtn" type="button" class="headertodaybtn" (click)="onTodayClicked()"
                        [disabled]="disableTodayBtn" [ngClass]="{'headertodaybtnenabled': !disableTodayBtn, 'headertodaybtndisabled': disableTodayBtn}">
                        <i class="zmdi zmdi-calendar-check"></i>
                        <span>{{opts.todayBtnTxt}}</span>
                    </button>
                </td>
                <td>
                    <div style="float:right">
                        <div class="headerbtncell">
                            <button type="button" [attr.aria-label]="opts.ariaLabelPrevYear" class="headerbtn btn btn-default btn-flat"
                                (click)="onPrevYear()" [disabled]="prevYearDisabled" [ngClass]="{'headerbtnenabled': !prevYearDisabled, 'headerbtndisabled': prevYearDisabled}">
                                <i class="zmdi zmdi-chevron-left"></i>
                            </button>
                        </div>
                        <div class="headeryeartxt">
                            <button class="headerlabelbtn" type="button" [ngClass]="{'yearlabel': opts.yearSelector}"
                                (click)="opts.yearSelector&&onSelectYearClicked($event)" tabindex="{{opts.yearSelector?'0':'-1'}}">{{visibleMonth.year}}</button>
                        </div>
                        <div class="headerbtncell">
                            <button type="button" [attr.aria-label]="opts.ariaLabelNextYear" class="headerbtn btn btn-default btn-flat"
                                (click)="onNextYear()" [disabled]="nextYearDisabled" [ngClass]="{'headerbtnenabled': !nextYearDisabled, 'headerbtndisabled': nextYearDisabled}">
                                <i class="zmdi zmdi-chevron-right"></i>
                            </button>
                        </div>
                    </div>
                </td>
            </tr>
        </table>
        <table class="caltable" *ngIf="!selectMonth&&!selectYear">
            <thead>
                <tr>
                    <th class="weekdaytitle weekdaytitleweeknbr" *ngIf="opts.showWeekNumbers&&opts.firstDayOfWeek==='mo'">#</th>
                    <th class="weekdaytitle" scope="col" *ngFor="let d of weekDays">{{d}}</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let w of dates">
                    <td class="daycell daycellweeknbr" *ngIf="opts.showWeekNumbers&&opts.firstDayOfWeek==='mo'">{{w.weekNbr}}</td>
                    <td class="daycell" *ngFor="let d of w.week" [ngClass]="{'currmonth':d.cmo===currMonthId&&!d.disabled, 'selectedday':selectedDate.day===d.dateObj.day && selectedDate.month===d.dateObj.month && selectedDate.year===d.dateObj.year && d.cmo===currMonthId, 'disabled': d.disabled, 'tablesingleday': d.cmo===currMonthId&&!d.disabled}"
                        (click)="!d.disabled&&onCellClicked(d);$event.stopPropagation()" (keydown)="onCellKeyDown($event, d)"
                        tabindex="0">
                        <div *ngIf="d.markedDate.marked" class="markdate" [ngStyle]="{'background-color': d.markedDate.color}"></div>
                        <div class="datevalue" [ngClass]="{'prevmonth':d.cmo===prevMonthId,'currmonth':d.cmo===currMonthId,'nextmonth':d.cmo===nextMonthId,'sunday':d.dayNbr === 0 && opts.sunHighlight}">
                            <span [ngClass]="{'currday':d.currDay&&opts.markCurrentDay, 'sundayDim': opts.sunHighlight && d.dayNbr === 0 && (d.cmo===prevMonthId || d.cmo===nextMonthId || d.disabled)}">{{d.dateObj.day}}</span>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="monthtable" *ngIf="selectMonth">
            <tbody>
                <tr *ngFor="let mr of months">
                    <td class="monthcell tablesinglemonth" [ngClass]="{'selectedmonth': m.selected, 'disabled': m.disabled}"
                        *ngFor="let m of mr" (click)="!m.disabled&&onMonthCellClicked(m);$event.stopPropagation()"
                        (keydown)="onMonthCellKeyDown($event, m)" tabindex="0">
                        <div class="monthvalue">{{m.name}}</div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="yeartable" *ngIf="selectYear">
            <tbody>
                <tr>
                    <td colspan="5" class="yearchangebtncell">
                        <button type="button" class="yearchangebtn btn btn-default btn-flat" (click)="onPrevYears($event, years[0][0].year)"
                            [disabled]="prevYearsDisabled" [ngClass]="{'yearchangebtnenabled': !prevYearsDisabled, 'yearchangebtndisabled': prevYearsDisabled}">
                            <i class="zmdi zmdi-chevron-up"></i>
                        </button>
                    </td>
                </tr>
                <tr *ngFor="let yr of years">
                    <td class="yearcell tablesingleyear" [ngClass]="{'selectedyear': y.selected, 'disabled': y.disabled}"
                        *ngFor="let y of yr" (click)="!y.disabled&&onYearCellClicked(y);$event.stopPropagation()"
                        (keydown)="onYearCellKeyDown($event, y)" tabindex="0">
                        <div class="yearvalue">{{y.year}}</div>
                    </td>
                </tr>
                <tr>
                    <td colspan="5" class="yearchangebtncell">
                        <button type="button" class="yearchangebtn btn btn-default btn-flat" (click)="onNextYears($event, years[0][0].year)"
                            [disabled]="nextYearsDisabled" [ngClass]="{'yearchangebtnenabled': !nextYearsDisabled, 'yearchangebtndisabled': nextYearsDisabled}">
                            <i class="zmdi zmdi-chevron-down"></i>
                        </button>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>